Subject: Re: crontab in Cygwin+Win98?
From: "Gerrit P. Haase" <[email-masked]>
To: "Paul Y. Peng" <[email-masked]>
Cc: [email-masked]
Date: Thu, 5 Jul 2001 23:35:34 +0200

Paul Y. Peng schrieb am 2001-07-05, 18:49:

> It doesn't work for me. I got the same error message. Following
> is what I did and what I got.
> 
> First, I run cron in a cygwin bash shell window
> 
> 	$ cron
> or
> 	$ cron -D
> 
> It is OK. Then I test it by issuing
> 
> 	$ crontab -l
> 
> What I get is an error message in the cygwin window:
> 
> 	BASH: /usr/local/bin/crontab: Permission denied
> 
> and a message in a small window:
> 
> 	Error Starting Program
> 	The CRONTAB.EXE file is
> 	linked to missing export NETAPI32.DLL: NetUserChangePassword.
> 
> I don't understand this message and have no clue how to deal with it.
> Is there anything wrong in my use of cron/crontab or it should not be
> used with win98 at all? Any hints?

Ah, i see, it will work only on NT:
Look here:
http://www.cygwin.com/ml/cygwin/2000-07/msg01194.html

Maybe you have luck with an older version of cron:
ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Vinschen_Corinna/B20/

But i fear it is the same with that.

You also could try to create a /etc/group and a /etc/passwd file which fits the
needs of cron like Corinna suggested  in her posting.

I saw also some implementations of cron somewhere in internet.
Additional, it should not that difficult to modify the sources,
so it doesn't depend on any user context.

gph

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/